<?php

namespace EventPortal\Domain\Event\Form\ValueObjects;

use Illuminate\Contracts\Support\Arrayable;
use Illuminate\Support\Arr;

class SectionData implements Arrayable
{
    /** @var int */
    public $id;

    /** @var string */
    public $name;

    /** @var int */
    public $order;

    /** @var string */
    public $uuid;

    /** @var \Illuminate\Support\Collection */
    public $questions;

    public function __construct(array $section)
    {
        $this->id = (int) Arr::get($section, 'id');
        $this->name = Arr::get($section, 'name');
        $this->order = (int) Arr::get($section, 'order');
        $this->uuid = Arr::get($section, 'uuid');
        $this->questions = collect(Arr::get($section, 'questions'))
            ->mapInto(QuestionData::class)
            ->filter();
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'order' => $this->order,
            'uuid' => $this->uuid,
        ];
    }
}
