<?php

namespace EventPortal\Domain\Event\ValueObjects;

use EventPortal\Domain\Component\Button;

class PageHeader
{
    /** @var string */
    public $title;

    /** @var null|string */
    public $description = null;

    /** @var null|Button */
    public $callToAction;

    public static function make(): self
    {
        return new self();
    }

    public function title(string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function description(?string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function callToAction(Button $button): self
    {
        $this->callToAction = $button;

        return $this;
    }

    public function toArray(): array
    {
        return [
            'title' => $this->title,
            'description' => $this->description,
            'callToAction' => $this->callToAction,
        ];
    }
}
